org.eclipse.mat.parser.model

## Class AbstractArrayImpl

- java.lang.Object
- - org.eclipse.mat.parser.model.AbstractObjectImpl
  - - org.eclipse.mat.parser.model.AbstractArrayImpl

All Implemented Interfaces:
  Serializable, IArray, IObject

Direct Known Subclasses:
  ObjectArrayImpl, PrimitiveArrayImpl

    public abstract class AbstractArrayImpl
    extends AbstractObjectImpl
    implements IArray

The general implementation of any Java array object (primitive array, object array).

See Also:
  Serialized Form
No Extend:

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.snapshot.model.IObject

`IObject.Type`

### Constructor Summary

Constructors
Constructor and Description
`AbstractArrayImpl(int objectId, long address, ClassImpl classInstance, int length)` Construct a general object, called from subclass.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getInfo()` Gets the cached information about the contents of the array.
`int` `getLength()` Returns the length of the array in elements.
`String` `getTechnicalName()` Get technical name of this object which is something like class@address.
`void` `setInfo(Object content)` Sets the cached information about the contents of the array.
`void` `setLength(int i)` Sets the length in elements.

### Methods inherited from class org.eclipse.mat.parser.model.AbstractObjectImpl

`equals, getClassAddress, getClassId, getClassSpecificName, getClazz, getComparatorForClassSpecificName, getComparatorForTechnicalName, getComparatorForUsedHeapSize, getDisplayName, getGCRootInfo, getObjectAddress, getObjectId, getReferences, getRetainedHeapSize, getSnapshot, getUsedHeapSize, hashCode, resolveValue, setClassInstance, setObjectAddress, setObjectId, setSnapshot, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.snapshot.model.IObject

`getClassSpecificName, getClazz, getDisplayName, getGCRootInfo, getObjectAddress, getObjectId, getOutboundReferences, getRetainedHeapSize, getSnapshot, getUsedHeapSize, resolveValue`

### Constructor Detail

#### AbstractArrayImpl

    public AbstractArrayImpl(int objectId,
                             long address,
                             ClassImpl classInstance,
                             int length)

Construct a general object, called from subclass.

Parameters:
  `objectId` - the index of the object
  `address` - the actual address
  `classInstance` - the type of the object
  `length` - the length of the array in elements

### Method Detail

#### getInfo

    public Object getInfo()

Gets the cached information about the contents of the array.

Returns:
  the cached data (parser specific).

#### setInfo

    public void setInfo(Object content)

Sets the cached information about the contents of the array.

#### getLength

    public int getLength()

Description copied from interface: `IArray`
Returns the length of the array in elements.

Specified by:
  `getLength` in interface `IArray`

#### setLength

    public void setLength(int i)

Sets the length in elements.

Parameters:
  `i` - the new length

#### getTechnicalName

    public String getTechnicalName()

Description copied from interface: `IObject`
Get technical name of this object which is something like class@address.

Specified by:
  `getTechnicalName` in interface `IObject`
Overrides:
  `getTechnicalName` in class `AbstractObjectImpl`
Returns:
  technical name of this object which is something like class@address